<template>
	<div class="image" :class="{glitch : glitch}">
		<div v-if="glitch">
			<glitched-image class="part" :image="getVairusSrc(vairus.vairus_type.id, 'base')" />
			<glitched-image class="part" v-for="attribute in orderedAttributes" :image="getVairusSrc(vairus.vairus_type.id, attribute)" />
		</div>
		
		<div v-else>
			<div class="part" :style="{ 'background-image' : getVairusImage(vairus.vairus_type.id, 'base') }"></div>
			<div class="part" v-for="attribute in orderedAttributes" :style="{ 'background-image' : getVairusImage(vairus.vairus_type.id, attribute) }"></div>
		</div>
	</div>
</template>


<script>
	var browser = browser || chrome;
	
	import { commonMixin } from '../mixins/common.js';
	import GlitchedImage from '../components/GlitchedImage.vue';
	
	export default {
		props: ['vairus', 'glitch'],
		computed: {
			orderedAttributes(){
				let stats  = [];
				
				for(let affinity in this.$props.vairus.vairus_type.affinities){
					if(this.$props.vairus.attributes.indexOf(affinity) !== -1)
						stats.push(affinity);
				}
				
				return stats;
			}
		},
		methods: {
			getVairusSrc(id, part){
				return browser.runtime.getURL('/images/vairus/v'+id+'/'+part+'.png');
			},
		},
		mixins: [commonMixin],
		components: { GlitchedImage }
	}
</script>


<style lang="scss" scoped>
	.image{
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		background-color: white;
		border-radius: 50%;	
		overflow: hidden;
		
		.part{
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			background-size: cover;
			background-position: center;
		}
		
		&.glitch .part{
			filter: invert(1);
		}
	}
</style>